import { Observable } from "rxjs";
import { StiDropdownService } from "../components/sti-dropdown-component/sti-dropdown-service";
import { StiModelService } from "./model.service";
import { StiEditableContentService } from "./sti-editable-content.service";
import { SignatureService } from "./sti-signature.service";
import { StiUserService } from "./sti-user-service";
import * as i0 from "@angular/core";
export declare class StiMouseService {
    model: StiModelService;
    editableSevice: StiEditableContentService;
    userService: StiUserService;
    signatureService: SignatureService;
    dropdownService: StiDropdownService;
    private documetMouseDown;
    private documetMouseMove;
    private documetMouseUp;
    private captureMouseUp;
    private captureMouseDown;
    private documentTouchStart;
    private documentTouchMove;
    private documentTouchEnd;
    leftButtonDown: boolean;
    rightButtonDown: boolean;
    constructor(model: StiModelService, editableSevice: StiEditableContentService, userService: StiUserService, signatureService: SignatureService, dropdownService: StiDropdownService);
    getDocumentMouseUp(): Observable<any>;
    getDocumentMouseMove(): Observable<any>;
    getDocumentMouseDown(): Observable<any>;
    getCaptureMouseUp(): Observable<any>;
    getCaptureMouseDown(): Observable<any>;
    getDocumentTouchStart(): Observable<any>;
    getDocumentTouchMove(): Observable<any>;
    getDocumentTouchEnd(): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiMouseService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiMouseService>;
}
